### Method

# FwupdPlugin Plugin set_context

since: 1.8.6

#### Declaration [src]

    void
    fu_plugin_set_context (
      FuPlugin* self,
      FuContext* ctx
    )

#### Description [src]

Sets the context for this plugin.

Available since: 1.8.6

Sets property | `FwupdPlugin.Plugin:context`

#### Parameters

`ctx`

  Type: `FuContext`

  Optional `FuContext`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.